#import <appkit/appkit.h>
#import "RagnarokSpeaker.h"
#import <mach.h>
#import <sys/message.h>
#import <servers/netname.h>
extern port_t name_server_port;
extern id NXResponsibleDelegate();
@implementation  RagnarokSpeaker :Speaker
{}
-(int)submitMoveFrom : (int) from
	To : (int) to
/* */
{
return [self selectorRPC:"submitMoveFrom:To:"
	paramTypes:"ii",
		from,
		to];
}
-(int)submitTentativeMoveFrom : (int) from
	To : (int) to
/* */
{
return [self selectorRPC:"submitTentativeMoveFrom:To:"
	paramTypes:"ii",
		from,
		to];
}
-(int)submitNoTentativeMove
/* */
{
return [self selectorRPC:"submitNoTentativeMove"
	paramTypes:""];
}
-(int)submitUndos : (int) howMany
/* */
{
return [self selectorRPC:"submitUndos:"
	paramTypes:"i",
		howMany];
}
-(int)submitResetGame
/* */
{
return [self selectorRPC:"submitResetGame"
	paramTypes:""];
}
-(int)submitMessage : (char *) aString
/* */
{
return [self selectorRPC:"submitMessage:"
	paramTypes:"c",
		aString];
}
-(int)goodbye
/* */
{
return [self selectorRPC:"goodbye"
	paramTypes:""];
}
-(int)pleaseAllow : (int) tag
	Undo : (int) howMany
/* */
{
return [self selectorRPC:"pleaseAllow:Undo:"
	paramTypes:"ii",
		tag,
		howMany];
}
-(int)pleaseAllow : (int) tag
	StartOver : (int) ignored
/* */
{
return [self selectorRPC:"pleaseAllow:StartOver:"
	paramTypes:"ii",
		tag,
		ignored];
}
-(int)pleaseHurryUp : (int) tag
/* */
{
return [self selectorRPC:"pleaseHurryUp:"
	paramTypes:"i",
		tag];
}
-(int)allow : (int) tag
/* */
{
return [self selectorRPC:"allow:"
	paramTypes:"i",
		tag];
}
-(int)refuse : (int) tag
/* */
{
return [self selectorRPC:"refuse:"
	paramTypes:"i",
		tag];
}
-(int)ok : (int) tag
/* */
{
return [self selectorRPC:"ok:"
	paramTypes:"i",
		tag];
}
@end
